(function ($) {
  Drupal.behaviors.initCodeMirror = {
    attach: function () {
      let elem = $('.codemirror-css');

      if (!elem.attr('data-codemirror-init')) {
        elem.attr('data-codemirror-init', true);

        elem.each(function () {
          CodeMirror.fromTextArea(this, {
            mode: 'text/css',
            lineNumbers: true,
            theme: 'vscode-dark',
          });
        });
      }
    },
  };  
})(jQuery);
